<?php
    if ( ! class_exists( 'Redux' ) ) {
        return;
    }


	$opt_name = "opus_options";

    $theme = wp_get_theme();

    $args = array(
        'opt_name'             => $opt_name,
        'display_name'         => $theme->get( 'Name' ),
        'display_version'      => $theme->get( 'Version' ),
        'menu_type'            => 'menu',
        'allow_sub_menu'       => true,
        'menu_title'           => esc_html__( 'Theme Options', 'opus' ),
        'page_title'           => esc_html__( 'Theme Options', 'opus' ),
        'admin_bar'            => false,
        'dev_mode'             => false,
        'update_notice'        => true,
        'customizer'           => true,
        'page_priority'        => null,
        'page_parent'          => 'themes.php',
        'page_permissions'     => 'manage_options',
        'menu_icon'            => '',
        'page_icon'            => 'icon-themes',
        'page_slug'            => '',
        'save_defaults'        => true,
        'default_show'         => false,
        'default_mark'         => '',
        'show_import_export'   => true,
        'show_options_object'  => false,
        'transient_time'       => 60 * MINUTE_IN_SECONDS,
        'output'               => true,
        'output_tag'           => true,
        'settings_api' 		   => TRUE,
        'compiler' 			   => TRUE,
        'global_variable' 	   => "virtua_options",
        'hints'                => array(
            'icon'          => 'el el-question-sign',
            'icon_position' => 'right',
            'icon_color'    => 'lightgray',
            'icon_size'     => 'normal',
            'tip_style'     => array(
                'color'   => 'red',
                'shadow'  => true,
                'rounded' => false,
                'style'   => '',
            ),
            'tip_position'  => array(
                'my' => 'top left',
                'at' => 'bottom right',
            ),
            'tip_effect'    => array(
                'show' => array(
                    'effect'   => 'slide',
                    'duration' => '500',
                    'event'    => 'mouseover',
                ),
                'hide' => array(
                    'effect'   => 'slide',
                    'duration' => '500',
                    'event'    => 'click mouseleave',
                ),
            ),
		'footer_credit'     => ''
        )
    );

	Redux::setArgs( $opt_name, $args );

function opus_color_options($sections) {
        $sections[] = array(
			'title'            => esc_html__( 'General', 'opus' ),
			'id'               => 'opus-general',
			'icon'             => 'el el-home'
    	);

		$sections[] = array(
        'title'      => esc_html__( 'Color Options', 'opus' ),
        'id'         => 'opus-colors-main',
        'subsection' => true,
        'icon'       => 'el el-brush',
       	'fields'     => array(
            array(
                'id'       		=> 'opus-primary-color',
                'type'     		=> 'color',
 				'transparent' 	=> false,
               	'output'   		=> array( '.site-title' ),
                'title'    		=> esc_html__( 'Primary Color', 'opus' ),
                'validate' 		=> 'color',
                'subtitle' 		=> esc_html__( 'This is your theme main color.', 'opus' ),
				'default'		=> '#5cb85c',
				'output'		=> array(
					'background-color' 		=> '.nav-previous a, .nav-next a, aside.widget h4:after, .op-single-blog .op-blog-date, .op-blog-list::before, .op-pricing-item.featured-plan, .button--nuka::before, .button--nuka::after, .button--nuka.button--primary, .op-icon-box-container.op-icon-box-style-1:hover, .op-header::before, .op-header .op-logo-container, .primary-background-color, .op-gns .op-menu > ul > li > a:hover:after, .op-gns .op-menu > ul > li > a:focus:after, .op-gns .op-menu > ul > li.active > a:after, .op-gns .op-menu > ul > li.current-menu-item > a:after, .primary-button, .op-banner .item .carousel-caption a:hover, .op-banner .item .carousel-caption a:focus, .op-banner .item .carousel-caption a:active, .h2-style1:after, .op-team-nav-primary .owl-nav .owl-prev:hover, .op-team-nav-primary .owl-nav .owl-next:hover, .op-cta-block, .op-footer-bottom, .op-testimonial-nav-primary .owl-nav .owl-prev:hover, .op-testimonial-nav-primary .owl-nav .owl-next:hover, .h2-style1-1:after, .op-trusty-customers-section .owl-dots .owl-dot.active span, .op-team .owl-stage-outer .owl-stage .owl-item .item:before, .h3-style:after, .h2-style3:after, .op-img-spotlight a:hover span, aside.widget h3:after, .tagcloud a, .op-single-blog:after, .content-section .tags li:after, ul.comment-list:after, .comment-respond .comment-reply-title:after, .comment-respond form .form-submit .submit, .wpcf7 .wpcf7-form-control.wpcf7-submit, .post-password-form input[type="submit"]',
			
					'border-color' 			=> '.op-icon-box-container.op-icon-box-style-1, .op-single-blog .op-blog-date:after, .op-pricing-item.featured-plan, .op-blog-widget .op-blog-item-inner, .op-icon-box-container.op-icon-box-style-1:hover, .primary-button, .op-banner .item .carousel-caption a:hover, .op-banner .item .carousel-caption a:focus, .op-banner .item .carousel-caption a:active, .op-team-nav-primary .owl-nav .owl-prev, .op-team-nav-primary .owl-nav .owl-next, .op-testimonial, .op-testimonial-nav-primary .owl-nav .owl-prev, .op-testimonial-nav-primary .owl-nav .owl-next, .tagcloud a, .comment-respond form .form-submit .submit, .wpcf7 .wpcf7-form-control.wpcf7-submit, .post-password-form input[type="submit"], .page-links a',
			
					'color' 				=> '.op-pricing-item .price, .button--nuka.button--inverted, a, a:hover, .primary-color, .op-gns .op-menu > ul > li.active > a, .op-gns .op-menu > ul > li.current-menu-item > a, .op-gns .op-menu > ul > li > a:hover, .op-gns .op-menu > ul > li > a:focus, .op-gns .op-menu > ul > li.current-menu-item > a:hover, .op-gns .op-menu > ul > li .dropdown-menu li a:hover, .op-gns .op-menu > ul > li .dropdown-menu li a:focus, .op-gns .op-menu > ul > li .dropdown-menu li a:active, .op-team-nav-primary .owl-nav .owl-prev:before, .op-team-nav-primary .owl-nav .owl-next:before, .op-testimonial-nav-primary .owl-nav .owl-prev:before, .op-testimonial-nav-primary .owl-nav .owl-next:before, .primary-button:hover, .primary-button:focus, .primary-button:active, .widget ul li.mouse-hover, .op-main-footer .widget ul li a:hover, .widget ul li.active a, .widget ul li.current-menu-item a, .widget ul li.active:before, .widget ul li.current-menu-item:before, .content-section ul li a:hover, .comment-respond form .form-submit .submit:hover, .comment-respond form .form-submit .submit:focus, .comment-respond form .form-submit .submit:active, ul.comment-list .comment .comment-body .reply a, .wpcf7 .wpcf7-form-control.wpcf7-submit:hover, .wpcf7 .wpcf7-form-control.wpcf7-submit:focus, .wpcf7 .wpcf7-form-control.wpcf7-submit:active, .op-faq-item .faq-question:before',

					'stroke'				=> '.svg-container svg line'
				),
				'compiler'		=> array(
					'background-color' 		=> '.nav-previous a, .nav-next a, aside.widget h4:after, .op-single-blog .op-blog-date, .op-blog-list::before, .op-pricing-item.featured-plan, .button--nuka::before, .button--nuka::after, .button--nuka.button--primary, .op-header::before, .op-header .op-logo-container,.primary-background-color, .op-gns .op-menu > ul > li > a:hover:after, .op-gns .op-menu > ul > li > a:focus:after, .op-gns .op-menu > ul > li.active > a:after, .op-gns .op-menu > ul > li.current-menu-item > a:after, .primary-button, .op-banner .item .carousel-caption a:hover, .op-banner .item .carousel-caption a:focus, .op-banner .item .carousel-caption a:active, .h2-style1:after, .op-team-nav-primary .owl-nav .owl-prev:hover, .op-team-nav-primary .owl-nav .owl-next:hover, .op-cta-block, .op-footer-bottom, .op-testimonial-nav-primary .owl-nav .owl-prev:hover, .op-testimonial-nav-primary .owl-nav .owl-next:hover, .h2-style1-1:after, .op-trusty-customers-section .owl-dots .owl-dot.active span, .op-team .owl-stage-outer .owl-stage .owl-item .item:before, .h3-style:after, .h2-style3:after, .op-img-spotlight a:hover span, aside.widget h3:after, .tagcloud a, .op-single-blog:after, .content-section .tags li:after, ul.comment-list:after, .comment-respond .comment-reply-title:after, .comment-respond form .form-submit .submit, .wpcf7 .wpcf7-form-control.wpcf7-submit, .post-password-form input[type="submit"]',
			
					'border-color' 			=> '.op-single-blog .op-blog-date:after, .op-pricing-item.featured-plan, .primary-button, .op-banner .item .carousel-caption a:hover, .op-banner .item .carousel-caption a:focus, .op-banner .item .carousel-caption a:active, .op-team-nav-primary .owl-nav .owl-prev, .op-team-nav-primary .owl-nav .owl-next, .op-testimonial, .op-testimonial-nav-primary .owl-nav .owl-prev, .op-testimonial-nav-primary .owl-nav .owl-next, .tagcloud a, .comment-respond form .form-submit .submit, .wpcf7 .wpcf7-form-control.wpcf7-submit, .post-password-form input[type="submit"], .page-links a',
			
					'color' 				=> '.op-pricing-item .price, .button--nuka.button--inverted, a, a:hover, .primary-color, .op-gns .op-menu > ul > li.active > a, .op-gns .op-menu > ul > li.current-menu-item > a, .op-gns .op-menu > ul > li > a:hover, .op-gns .op-menu > ul > li > a:focus, .op-gns .op-menu > ul > li.current-menu-item > a:hover, .op-gns .op-menu > ul > li .dropdown-menu li a:hover, .op-gns .op-menu > ul > li .dropdown-menu li a:focus, .op-gns .op-menu > ul > li .dropdown-menu li a:active, .op-team-nav-primary .owl-nav .owl-prev:before, .op-team-nav-primary .owl-nav .owl-next:before, .op-testimonial-nav-primary .owl-nav .owl-prev:before, .op-testimonial-nav-primary .owl-nav .owl-next:before, .primary-button:hover, .primary-button:focus, .primary-button:active, .widget ul li.mouse-hover, .op-main-footer .widget ul li a:hover, .widget ul li.active a, .widget ul li.current-menu-item a, .widget ul li.active:before, .widget ul li.current-menu-item:before, .content-section ul li a:hover, .comment-respond form .form-submit .submit:hover, .comment-respond form .form-submit .submit:focus, .comment-respond form .form-submit .submit:active, ul.comment-list .comment .comment-body .reply a, .wpcf7 .wpcf7-form-control.wpcf7-submit:hover, .wpcf7 .wpcf7-form-control.wpcf7-submit:focus, .wpcf7 .wpcf7-form-control.wpcf7-submit:active, .op-faq-item .faq-question:before',

					'stroke'				=> '.svg-container svg line'
				),			
            ),
			array(
                'id'       		=> 'opus-secondary-color',
                'type'     		=> 'color',
 				'transparent' 	=> false,
               	'output'   		=> array( '.site-title' ),
                'title'    		=> esc_html__( 'Secondary Color', 'opus' ),
                'validate' 		=> 'color',
                'subtitle' 		=> esc_html__( 'This is your theme complimentory color.', 'opus' ),
				'default'		=> '#1a2431',
 				'output'		=> array(
					'background-color' 		=> '.secondary-button, .secondary-background-color, .secondary-color:before, .h3-style:before, .h2-style3:before, .op-team-nav-secondary .owl-nav .owl-prev:hover, .op-team-nav-secondary .owl-nav .owl-next:hover, .op-testimonial-nav-secondary .owl-nav .owl-prev:hover, .op-testimonial-nav-secondary .owl-nav .owl-next:hover, .op-img-spotlight a span, .op-pagination .page-numbers:hover, .op-pagination .page-numbers:focus, .op-pagination .page-numbers:active, .op-pagination .page-numbers.current, .navigation.pagination .page-numbers:hover, .navigation.pagination .page-numbers:focus, .navigation.pagination .page-numbers:active, .navigation.pagination .page-numbers.current, aside.widget h3:before, .op-accordians .panel .panel-heading .panel-title a',
			
					'border-color' 			=> '.secondary-button, .op-testimonial:before, .op-team-nav-secondary .owl-nav .owl-prev, .op-team-nav-secondary .owl-nav .owl-next, .op-testimonial-nav-secondary .owl-nav .owl-prev, .op-testimonial-nav-secondary .owl-nav .owl-next, .op-pagination .page-numbers, .navigation.pagination .page-numbers, .op-accordians .panel .panel-heading',
			
					'color' 				=> '.secondary-color, .op-testimonial:before, .op-team-nav-secondary .owl-nav .owl-prev:before, .op-team-nav-secondary .owl-nav .owl-next:before, .op-testimonial-nav-secondary .owl-nav .owl-prev:before, .op-testimonial-nav-secondary .owl-nav .owl-next:before, aside .widget-title, .op-accordians .panel .panel-heading .panel-title a.collapsed'
				),
				'compiler'		=> array(
					'background-color' 		=> '.secondary-button, .secondary-background-color, .secondary-color:before, .h3-style:before, .h2-style3:before, .op-team-nav-secondary .owl-nav .owl-prev:hover, .op-team-nav-secondary .owl-nav .owl-next:hover, .op-testimonial-nav-secondary .owl-nav .owl-prev:hover, .op-testimonial-nav-secondary .owl-nav .owl-next:hover, .op-img-spotlight a span, .op-pagination .page-numbers:hover, .op-pagination .page-numbers:focus, .op-pagination .page-numbers:active, .op-pagination .page-numbers.current, .navigation.pagination .page-numbers:hover, .navigation.pagination .page-numbers:focus, .navigation.pagination .page-numbers:active, .navigation.pagination .page-numbers.current, aside.widget h3:before, .op-accordians .panel .panel-heading .panel-title a',
			
					'border-color' 			=> '.secondary-button, .op-testimonial:before, .op-team-nav-secondary .owl-nav .owl-prev, .op-team-nav-secondary .owl-nav .owl-next, .op-testimonial-nav-secondary .owl-nav .owl-prev, .op-testimonial-nav-secondary .owl-nav .owl-next, .op-pagination .page-numbers, .navigation.pagination .page-numbers, .op-accordians .panel .panel-heading',
			
					'color' 				=> '.secondary-color, .op-testimonial:before, .op-team-nav-secondary .owl-nav .owl-prev:before, .op-team-nav-secondary .owl-nav .owl-next:before, .op-testimonial-nav-secondary .owl-nav .owl-prev:before, .op-testimonial-nav-secondary .owl-nav .owl-next:before, aside .widget-title, .op-accordians .panel .panel-heading .panel-title a.collapsed'
				),
           ),
			array(
				'id'       => 'opus-pre-loader-status',
				'type'     => 'switch', 
				'title'    => esc_html__('Pre Loader', 'opus'),
				'subtitle' => esc_html__('Select ON to enable Pre Loader On Page Load', 'opus'),
				'default'  => false
			),
		));
        return $sections;
}
add_filter('redux/options/opus_options/sections', 'opus_color_options', 5);

function opus_header_options($sections) {
	$sections[] = array(
		'title'            => esc_html__( 'Header', 'opus' ),
		'id'               => 'opus-header-main',
		'icon'             => 'el el-website'
	);

	$sections[] = array(
        'title'            => esc_html__( 'Top Header', 'opus' ),
        'id'               => 'opus-header-top',
        'subsection' => true,
        'icon'             => 'el el-circle-arrow-up',
       	'fields'     => array(
            array(
				'id'       => 'opus-top-header-status',
				'type'     => 'switch', 
				'title'    => esc_html__('Top Header Section', 'opus'),
				'subtitle' => esc_html__('Select ON to enable Top Header section', 'opus'),
				'default'  => true,
			),
			array(
				'id'=>'opus-top-header-left',
				'type' => 'textarea',
				'title' => __('Left Side Content (HTML)', 'opus'), 
				'subtitle' => __('Content for Left side of Top Header', 'opus'),
				'description' => __('Allowed Tags: a, strong', 'opus'),
				'validate' => 'html_custom',
				'default' => 'Call Us: <a class="tel" href="tel:1911462242">1911-462-242</a>',
				'allowed_html' => array(
					'a' => array(
						'href' => array(),
						'title' => array(),
						'class' => array()
					),
					'strong' => array()
				),
				'required' => array('opus-top-header-status','=',true),
			),
			array(
				'id'=>'opus-top-header-right',
				'type' => 'textarea',
				'title' => __('Right Side Content (HTML)', 'opus'), 
				'subtitle' => __('Content for Right side of Top Header', 'opus'),
				'description' => __('Allowed Tags: a, strong', 'opus'),
				'validate' => 'html_custom',
				'default' => '<a href="#" class="request-free-consultation">Request a free consultation</a>',
				'allowed_html' => array(
					'a' => array(
						'href' => array(),
						'title' => array(),
						'class' => array()
					),
					'strong' => array()
				),
				'required' => array('opus-top-header-status','=',true),
			)
		)
	);

	$sections[] = array(
        'title'            => esc_html__( 'Header', 'opus' ),
        'id'               => 'opus-header',
        'subsection' => true,
        'icon'             => 'el el-screen',
       	'fields'     => array(
            array(
                'id'       => 'opus-logo',
                'type'     => 'media',
                'url'      => true,
                'title'    => esc_html__( 'Logo', 'opus' ),
                'compiler' => 'true',
                'subtitle'     => esc_html__( 'Upload Site Logo.', 'opus' ),
				'default'  => array(
        			'url'=>'http://bsmthemes.com/demo/virtua/resources/logo.png'
    			),
            ),
            array(
                'id'       		=> 'opus-header-bg',
                'type'     		=> 'color',
 				'transparent' 	=> false,
               	'output'   		=> array( '.site-title' ),
                'title'    		=> esc_html__( 'Header Background Color', 'opus' ),
                'validate' 		=> 'color',
                'subtitle' 		=> esc_html__( 'Select Header Background Color.', 'opus' ),
				'default'		=> '#1a2431',
				'compiler'		=> array(
					"background-color" => ".op-header",
					"fill" => ".op-header .op-header-slice svg polygon"
				),
				'output'		=> array(
					"background-color" => ".op-header",
					"fill" => ".op-header .op-header-slice svg polygon"
				),
            ),
		)
	);

	$sections[] = array(
        'title'            => esc_html__( 'Page Header', 'opus' ),
        'id'               => 'opus-page-header',
        'subsection' => true,
        'icon'             => 'el el-screen',
       	'fields'     => array(
            array(
                'id'       => 'opus-page-background',
                'type'     => 'media',
                'url'      => true,
                'title'    => esc_html__( 'Default Page Header', 'opus' ),
                'compiler' => 'true',
                'subtitle'     => esc_html__( 'Upload Default Page Header.', 'opus' ),
				'default'  => array(
        			'url'=>''
    			),
            ),
		)
	);
	return $sections;
}
add_filter('redux/options/opus_options/sections', 'opus_header_options', 10);

function opus_typography_options($sections) {
	$sections[] = array(
        'title'            => esc_html__( 'Typography', 'opus' ),
        'id'               => 'opus-typography',
        'icon'             => 'el el-font',
       	'fields'     => array(
			array(
				'id'          		=> 'opus-body',
				'type'        		=> 'typography', 
				'title'       		=> esc_html__('Body', 'opus'), 
				'font-backup' 		=> false,
				'font-weight' 		=> false,
				'font-style' 		=> false,
				'all_styles'		=> true,
				'text-align' 		=> false,
				'letter-spacing' 	=> false,
				'text-transform' 	=> true,
				'line-height' 		=> false,
				'font-size'   		=> false,
				'color' 			=> false,
				'output'      		=> array('.nav-menu > li > a, .nav-menu > ul > li > a'),
				'default'     		=> array(
					'font-family' 	=> 'Montserrat',
				),
				'compiler' 		=> array('body'),
			)
		)
	);
	return $sections;
}
add_filter('redux/options/opus_options/sections', 'opus_typography_options', 15);

function opus_blog_options($sections) {
	$sections[] = array(
        'title'            => esc_html__( 'Blog', 'opus' ),
        'id'               => 'opus-typography',
        'icon'             => 'el el-blogger',
       	'fields'     => array(
			array(
				'id'       => 'opus-blog-sidebar',
				'type'     => 'select',
				'title'    => esc_html__('Blog Layout', 'opus'), 
				'subtitle'     => esc_html__('Select blog layout.', 'opus'),
				'options'  => array(
					'left-sidebar'  => 'Left Sidebar',
					'right-sidebar' => 'Right Sidebar',
					'full-width' 	=> 'Full Width',
				),
				'default'  => 'right-sidebar',
			),
		)
	);
	return $sections;
}
add_filter('redux/options/opus_options/sections', 'opus_blog_options', 20);

function opus_social_options($sections){
	$sections [] =array(
        'title'            	=> esc_html__( 'Social', 'opus' ),
 		'desc'     			=> esc_html__('Leave Blank to Disable Social Icon.', 'opus'),
        'id'               	=> 'opus-social',
        'icon'             	=> 'el el-facebook',
      	'fields'     => array(
			array(
				'id'       => 'opus-facebook',
				'type'     => 'text',
				'title'    => esc_html__('Facebook', 'opus'),
				'default'  => '#'
			),
			array(
				'id'       => 'opus-twitter',
				'type'     => 'text',
				'title'    => esc_html__('Twitter', 'opus'),
				'default'  => '#'
			),
			array(
				'id'       => 'opus-linkedin',
				'type'     => 'text',
				'title'    => esc_html__('Linked In', 'opus'),
				'default'  => '#'
			),
			array(
				'id'       => 'opus-youtube',
				'type'     => 'text',
				'title'    => esc_html__('Youtube', 'opus'),
				'default'  => '#'
			),
		)
    );
	return $sections;
}
add_filter('redux/options/opus_options/sections', 'opus_social_options', 25);

function opus_footer_options($sections){
	$sections [] =array(
        'title'            => esc_html__( 'Footer', 'opus' ),
        'id'               => 'opus-footer',
        'icon'             => 'el el-arrow-down',
       	'fields'     => array(
            array(
                'id'       		=> 'opus-footer-bg',
                'type'     		=> 'color',
 				'transparent' 	=> false,
               	'output'   		=> array( '.site-title' ),
                'title'    		=> esc_html__( 'Footer Background Color', 'opus' ),
                'validate' 		=> 'color',
                'subtitle' 		=> esc_html__( 'Select Footer Background Color.', 'opus' ),
				'default'		=> '#1a2431',
				'compiler'		=> array(
					"background-color" => ".secondary-background-color.footer"
				),
				'output'		=> array(
					"background-color" => ".secondary-background-color.footer"
				),
            ),
			array(
				'id'       => 'opus-footer-widgets',
				'type'     => 'select',
				'title'    => esc_html__('No. of Widget Columns', 'opus'), 
				'subtitle'     => esc_html__('Select the number of widget columns.', 'opus'),
				'options'  => array(
					'1' 	=> 'One',
					'2'  	=> 'Two',
					'3' 	=> 'Three',
					'4' 	=> 'Four'
				),
				'default'  => '4',
			),

        )
    );
	return $sections;
}
add_filter('redux/options/opus_options/sections', 'opus_footer_options', 35);

function opus_copyrights_options($sections){
	$sections[] = array(
        'title'            => esc_html__( 'Copyrights', 'opus' ),
        'id'               => 'opus-copyrights',
        'icon'             => 'el el-pencil',
       	'fields'     => array(
			array(
				'id'       => 'opus-copyrights-status',
				'type'     => 'switch', 
				'title'    => esc_html__('Copyrights Section', 'opus'),
				'subtitle' => esc_html__('Select ON to enable copyrights section', 'opus'),
				'default'  => true,
			),
			array(
				'id'       => 'opus-copyrights-text',
				'type'     => 'text',
				'title'    => esc_html__('Copyrights Text', 'opus'),
				'subtitle' => esc_html__('This will display under the footer.', 'opus'),
				'default'  => '&copy; Copyrights Virtua 2018. All Rights Reserved.',
				'required' 	=> array('opus-copyrights-status', '=', true),
			),
			array(
				'id'       => 'opus-social-icons-status',
				'type'     => 'switch', 
				'title'    => esc_html__('Social Icons Status', 'opus'),
				'subtitle' => esc_html__('Select ON to enable Social Icons inside Footer', 'opus'),
				'default'  => true,
				'required' 	=> array('opus-copyrights-status', '=', true),
			),
        )
    );
	return $sections;
}
add_filter('redux/options/opus_options/sections', 'opus_copyrights_options', 40);
